<?php
define ('SS_CUSTOMERBALANCE', 121<<8);
class hooks_customer_balance extends hooks {
	var $module_name = 'Customer Opening Balances'; 

	/*
		Install additonal menu options provided by module
	*/
	function install_options($app) {
		global $path_to_root;

		switch($app->id) {
			case 'orders':
				/**********************BOF Chat Added*****************************/
				//$app->add_lapp_function(2, _('Customer Opening Balances'),
				$app->add_rapp_function(2, _('Customer Opening Balances'), 
				/**********************EOF Chat Added*****************************/
				$path_to_root.'/modules/customer_balance/customer_balance.php', 'SA_CUSTOMER_BALANCE');
		}
	}

	function install_access()
	{
		$security_sections[SS_CUSTOMERBALANCE] = _("Customer Opening Balances");

		$security_areas['SA_CUSTOMER_BALANCE'] = array(SS_CUSTOMERBALANCE|121, _("Customer Opening Balances"));

		return array($security_areas, $security_sections);
	}
}
?>